# UserGameSettings

UserGameSettings : `Instance`

## Overview

A global settings Object that contains information related to in-game control behavior

## Properties

### CharacterTurnRate

`number`

When RotationType is set to CameraRelative, you can also adjust the speed at which the character rotates to match the camera's direction.

The default value is -1, which means the character rotates instantly.

#### Code Samples

```lua
local UserGameSettings = UserSettings().GameSettings
UserGameSettings.CharacterTurnRate = 200
```

### RotationType

`Enum.RotationType`

This property determines how the client's character rotates.

This allows you to choose whether the character automatically rotates to follow the camera's direction or moves independently based on user input.

#### Code Samples

```lua
local UserGameSettings = UserSettings().GameSettings
UserGameSettings.RotationType = Enum.RotationType.CameraRelative
```

## Methods

## Events

## See also

{% content-ref url="/pages/ANxuUr07U7hVCFK7A4Q5" %}
[TPS Strafing System](/manual/script-manual/input-and-controls/tps-strafing-system.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/usergamesettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
